Bug 708982 - Guest can not continue after nfs service restart
Summary: Guest can not continue after nfs service restart
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kvm
Version: 5.7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Juan Quintela
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks: Rhel5KvmTier2
TreeView+ depends on / blocked
 
Reported: 2011-05-30 10:23 UTC by Joy Pu
Modified: 2013-01-09 23:54 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-07 10:35:50 UTC


Attachments (Terms of Use)

Description Joy Pu 2011-05-30 10:23:21 UTC
Description:
Boot up a guest with a additional disk from nfs, and try to write data to it. While the data writing stop the nfs server, guest will turn to pause status. Then start the nfs server and try to continue the guest but always get this warning, and guest still pause status:
QXL: qxl_vm_change_state_handler: running=1
handle_dev_input: start
QXL: qxl_vm_change_state_handler: running=0
handle_dev_input: stop


Version-Release number of selected component (if applicable):
kernel: 
2.6.18-262.el5
kvm: 
# rpm -qa |grep kvm
etherboot-roms-kvm-5.4.4-13.el5
kvm-qemu-img-83-235.el5
etherboot-zroms-kvm-5.4.4-13.el5
kmod-kvm-83-235.el5
kvm-debuginfo-83-235.el5
kvm-83-235.el5
kvm-tools-83-235.el5
kmod-kvm-debug-83-235.el5

qemu:
# rpm -qa |grep qemu
kvm-qemu-img-83-235.el5
gpxe-roms-qemu-0.9.7-8.el5


How reproducible:
always

Steps to Reproduce:
1. Setup nfs server in host
# cd /root/autotest-devel/client/tests/kvm; mkdir -p /tmp/nfs_dir && mkdir -p images/nfs && service nfs restart && exportfs 127.0.0.1:/tmp/nfs_dir -o rw,no_root_squash && mount 127.0.0.1:/tmp/nfs_dir images/nfs -o rw,soft,timeo=1,retrans=1,vers=3

2. boot up a guest with a storage in nfs and write the disk
# qemu-img create -f qcow2 /root/autotest-devel/client/tests/kvm/images/nfs/storage.qcow2 10G
# /root/autotest-devel/client/tests/kvm/qemu -name 'vm1' -monitor unix:'/tmp/monitor-humanmonitor1-20110530-164923-KKzm',server,nowait -serial unix:'/tmp/serial-20110530-164923-KKzm',server,nowait -drive file='/root/autotest-devel/client/tests/kvm/images/RHEL-4.9-32-virtio.qcow2',index=0,if=virtio,media=disk,cache=none,werror=stop,boot=on,format=qcow2 -drive file='/root/autotest-devel/client/tests/kvm/images/nfs/storage.qcow2',index=3,if=virtio,media=disk,cache=none,werror=stop,format=qcow2 -net nic,vlan=0,model=virtio,macaddr='9a:e3:cb:fc:e5:29' -net tap,vlan=0,ifname='t0-164923-KKzm',script='/root/autotest-devel/client/tests/kvm/scripts/qemu-ifup-switch',downscript='no' -m 2048 -smp 2,cores=1,threads=1,sockets=2 -cpu qemu64,+sse2 -soundhw ac97 -spice port=8000,disable-ticketing -qxl 1 -rtc-td-hack -M rhel5.6.0 -boot c  -usbdevice tablet -no-kvm-pit-reinjection

in guest:
# dd=/dev/urandom of=/dev/vdb

3. stop nfs service in host and check guest status
# service nfs stop
#(qemu) info status
info status
VM status: paused

4. start nfs server in host, continue guset and check guest status
# service nfs start
#(qemu) c
#(qemu) info status
info status
VM status: paused

Actual results:
Guest will be paused 
Expected results:
Guest can running again

Additional info:
1.  cpu info:
processor	: 1
vendor_id	: AuthenticAMD
cpu family	: 15
model		: 67
model name	: Dual-Core AMD Opteron(tm) Processor 1216
stepping	: 3
cpu MHz		: 1000.000
cache size	: 1024 KB
physical id	: 0
siblings	: 2
core id		: 1
cpu cores	: 2
apicid		: 1
fpu		: yes
fpu_exception	: yes
cpuid level	: 1
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 ht syscall nx mmxext fxsr_opt rdtscp lm 3dnowext 3dnow pni cx16 lahf_lm cmp_legacy svm extapic cr8_legacy
bogomips	: 2009.36
TLB size	: 1024 4K pages
clflush size	: 64
cache_alignment	: 64
address sizes	: 40 bits physical, 48 bits virtual
power management: ts fid vid ttp tm stc

Comment 1 Joy Pu 2011-05-31 03:01:22 UTC
And while the guest in paused status, try to umount the disk in host will get a device is busy warning which shows the it is in use.


Note You need to log in before you can comment on or make changes to this bug.